﻿(function () {
    var p = admixerSm.controll;
    var asm = admixerSm;
    var w = window, d = document;

    if (!asm.mPath) {
        asm.mPath = asm.mirrorPath + '/creatives/';
    }

    p.init = function () {
        if (p.isInit)
            return;
        p.isInit = true;
        while (p.initCallbacks.length > 0) {
            p.initCallbacks.pop()(p);
        }
    }
    p.renderBaner = function (slot, bn, rCallback) {
        if (!!document.createElement('video').canPlayType)// check if <video> supports
        {
            admixerSm.controll.onPreInitDoneHTML5(slot, rCallback);
        }
    }

    p.trackAction = function (u, slot, actionType) {
        if (!actionType)
            actionType = 0;
        var a_zp = document.createElement('IFRAME');
        if (slot && actionType) {
            if (!slot.trackedActions) {
                slot.trackedActions = {};
            }
            if (slot.trackedActions[actionType] != null)
                return;
            slot.trackedActions[actionType] = u;
        }
        window.admixerSm.sendPixel(u);
    }


    p.trackView = function (slot, evTypeName) {
        if (!slot.videStartTime || slot.videStartTime <= 0 || slot.isViewTracked)
            return;
        var duration = new Date().getTime() - slot.videStartTime;
        var bn = slot.data.items[0];
        var cr = bn.cr;
        var rid = slot.data.requestId;
        if (typeof (cr.vAs) == 'undefined')
            cr.vAs = 0;
        if (duration >= (cr.vAs * 1000) && !slot.isViewTracked) {
            slot.isViewTracked = true;
            if (!p.areExtPixelsWasSend && !slot.areExtPixelsWasSend) {
                p.areExtPixelsWasSend = true;
                slot.areExtPixelsWasSend = true;
                if (cr.i_zps && cr.i_zps.length > 0) {
                    var zps = cr.i_zps.split(' ');
                    for (i = 0; i < zps.length; i++) {
                        p.trackAction(zps[i], slot);
                    }
                }
                else if (cr.zeroPixel)
                    p.trackAction(cr.zeroPixel, slot);
            }
            var u = asm.invPath + '/view.aspx?item=' + bn.id + '&requestId=' + rid + '&zone=' + bn.zId + '&pvvt=1' + '&admguid=' + slot.data.admguid;
            if (evTypeName != null)
                u += '&evtn=' + evTypeName;
            p.trackAction(u, slot);
        }
    }

    p.onVideoAdFinished = function (slot) {
        var ph = slot.ph;
        var rid = slot.data.requestId;
        if (!ph.admixSlot.videStartTime || ph.admixSlot.videStartTime <= 0)
            return;
        var duration = new Date().getTime() - ph.admixSlot.videStartTime;
        var bn = ph.admixSlot.data.items[0];
        var cr = bn.cr;
        ph.admixSlot.videStartTime = 0;
        p.trackView(slot);
        duration = duration = (duration / 1000) - 1;


        admixerSm.hasActiveVideoPlayer = false;
        setTimeout(function () {
            if (admixerSm.viedoAdsCbs && admixerSm.viedoAdsCbs.length > 0) {
                var cb = admixerSm.viedoAdsCbs.pop();
                try {
                    cb();
                }
                catch (e) { }
            }
        }, 1);
    }

    p.onPreInitDoneHTML5 = function (slot, rCallback) {
        var ph = slot.ph;
        ph.innerHTML = ''
        var cr = slot.data.items[0].cr;
        //ph.style.width = '1px';
        //ph.style.height = '1px';
        var auto_play = (slot.data.zone && slot.data.zone.IsPrerollAutoPlay);
        var skipOffset = (cr.PreRollSkipOffset && cr.PreRollSkipOffset > 0) ? cr.PreRollSkipOffset : 5;
        var isWithSound = cr.isWithSound;
        var tagUrl = asm.invPath + '/AdVideoXml.aspx?zone=' + slot.data.zId + '&creativeExt=flv&item=' + slot.data.items[0].id + '&phId=' + ph.id + '&admguid=' + slot.data.admguid + '&noconfirm=1&isnlvd=1&requestId=' + slot.data.requestId;
        var cbFunc = 'admix_' + new Date().getTime();
        window[cbFunc] = {};
        p.player = p.initHTML5(window[cbFunc], ph, tagUrl, isWithSound, slot, cbFunc);
    }

    p.initHTML5 = function (v, ph, source, isWithSound, slot, cbFunc) {
        var bn = slot.data.items[0];
        var cr = bn.cr;
        var ph = slot.ph;
        var rid = slot.data.requestId;

        v.doTimer = function (curTime, totalTime) {
            var canvas = v.gouge;
            var ctx = canvas.getContext('2d');
            var W = canvas.width;
            var H = canvas.height;
            var difference = 0;
            var color = '#ffffff';
            var color_text = 'white';
            var bgcolor = '#f90101';
            var text;
            var animation_loop, redraw_loop;
            var pos = -(curTime / totalTime);
            ctx.clearRect(0, 0, W, H);
            ctx.beginPath();
            ctx.strokeStyle = bgcolor;
            ctx.lineWidth = 3;
            ctx.arc(W / 2, H / 2, 12, 0, Math.PI * 2, false);
            ctx.stroke();

            var radians = (pos * 180) / 0.5 * Math.PI / 180;
            ctx.beginPath();
            ctx.strokeStyle = color;
            ctx.lineWidth = 3;
            ctx.arc(W / 2, H / 2, 12, 0 - 90 * Math.PI / 180, radians - 90 * Math.PI / 180, false);
            ctx.stroke();

            ctx.fillStyle = color_text;
            ctx.font = ' 11px times new roman';
            text = curTime;
            text_width = ctx.measureText(text).width;
            ctx.fillText(text, W / 2 - text_width / 2, H / 2 + 4);
        }

        v.PlayVideo = function (elem, video) {
            v.videoTag.currentTime = 0;
            v.videoTag.play();
            if (v.zagl_div) v.zagl_div.style.display = 'none';
            //v.center_play.style.display = 'none';
            //v.center.style.display = 'block';        
            v.all_div.style.display = 'block';
         //   p.player.center.style.display = 'block';
            p.player.btn_close.style.display = 'block';
            p.player.btn_sound.style.display = 'block';
            p.player.gouge.style.display = 'block';
            p.player.adv.style.display = 'block';
            p.player.btn_pause.style.display = 'none';
            p.player.center_play.style.display = 'none';
        }
        v.MuteVideo = function (elem) {
            var video = v.videoTag;
            if (video.muted) {
                elem.style.backgroundPosition = "top";
                elem.title = 'Выключить звук';
                v.videoTag.volume = 0.3;
            }
            if (!video.muted) {
                elem.style.backgroundPosition = "bottom";
                elem.title = 'Включить звук';
            }
            video.muted = !video.muted;
        }
        v.doPlayer = function () {

            v.all_div = document.createElement("div");
            v.all_div.style.width = 1;
            v.all_div.style.height = 1;
            v.all_div.style.position = 'relative';
            v.all_div.style.display = 'none';

            v.videoTag = document.createElement("video");
            v.videoTag.width = 1;
            v.videoTag.height = 1;
            v.videoTag.style.backgroundColor = 'Black';
            v.videoTag.style.zIndex = '0';
            v.videoTag.preload = 'metadata';
            v.videoTag.id = 'video_' + ph.id;

            v.btn_pause = document.createElement("img");
            v.btn_pause.src = asm.mirrorPath + "/scriptlib/video/vipimg/Small_PlayButtonBack.png"; v.btn_pause.title = 'Играть сначала';
            v.btn_pause.style.cursor = 'pointer';
            v.btn_pause.style.zIndex = '1';
            v.btn_pause.style.width = "20px";
            v.btn_pause.style.height = "21px";
            v.btn_pause.style.float = 'right';
            v.center_play = document.createElement("div");
            v.center_play.innerHTML = "<p style='float:right; margin-top:5px;margin-left:5px;font-family:Helvetica;font-size:11px; color:White;'>Смотреть еще раз</p>";
            v.center_play.style.cssText = 'z-index:2; position:absolute; color: rgb(225, 221 ,221); font-size:10px; font-family:Helvetica; cursor:pointer;  height:24;width: 150px; bottom:18px;display:none;margin-right:300px; margin-left: 200px; ';
            v.center_play.setAttribute('onclick', cbFunc + '.PlayVideo(this, ' + cbFunc + '.videoTag)');
            v.center_play.appendChild(v.btn_pause)


            v.btn_sound = document.createElement("div");
            v.btn_sound.style.backgroundImage = 'url(' + asm.mirrorPath + "/scriptlib/video/vipimg/Sound.png" + ') ';
            v.btn_sound.style.width = "26px";
            v.btn_sound.style.height = "24px";
            if (cr.isWithSound && bn.IsMatchSiteFormatSound) {
                v.videoTag.muted = false;
                v.videoTag.volume = 0.3;
                v.btn_sound.style.backgroundPosition = "top";
                v.btn_sound.title = 'Выключить звук';
            }
            else {

                v.videoTag.muted = true;
                v.btn_sound.style.backgroundPosition = "bottom";

                v.btn_sound.title = 'Включить звук';
            }

            v.btn_sound.setAttribute('onclick', cbFunc + '.MuteVideo(this, ' + cbFunc + '.videoTag)');
            v.btn_sound.style.cursor = 'pointer';
            v.btn_sound.style.display = 'inline';

            v.btn_sound.style.zIndex = '1';
            v.btn_sound.style.position = 'absolute';
            v.btn_sound.style.display = 'block';

            v.btn_close = document.createElement('div');
            v.btn_close.title = 'Закрыть';

            v.btn_close.style.display = 'none';
            v.btn_close.style.backgroundImage = 'url(' + asm.mirrorPath + "/scriptlib/video/vipimg/close.png" + ')';
            v.btn_close.setAttribute('onclick', cbFunc + '.stopVideoAdmixer()');
            v.btn_close.style.Color = 'white';
            v.btn_close.style.cursor = "pointer";
            v.btn_close.style.width = "26px";
            v.btn_close.style.height = "24px";
            v.btn_close.style.bottom = '18px';
            v.btn_close.style.right = '18px';
            v.btn_close.style.zIndex = '3';
            v.btn_close.style.position = 'absolute';
            v.plashka_image = document.createElement('img');
            v.plashka_image.src = asm.mirrorPath + "/scriptlib/video/vipimg/admixer_logo_small.png";
            v.plashka_image.style.verticalAlign = 'top';
            v.border_plashka = document.createElement('div');
            v.border_plashka.style.position = 'absolute';
            v.border_plashka.style.width = '60px';
            v.border_plashka.style.height = '16px';
            v.border_plashka.style.backgroundColor = 'rgba( 255, 255, 255, 0.76)';
            v.border_plashka.style.top = '10px';
            v.border_plashka.style.left = '10px';
            v.border_plashka.style.cursor = 'pointer';
            v.border_plashka.setAttribute('onclick', ' window.open("http://sales.admixer.net?utm_source=cpc&utm_medium=admixer&utm_campaign=contentroll", "_blank")');
            v.border_plashka.appendChild(v.plashka_image);

            v.border_bot = document.createElement('div');
            v.border_bot.style.position = 'absolute';
            v.border_bot.style.width = '580px';
            v.border_bot.style.height = '10px';
            v.border_bot.style.backgroundColor = 'rgba( 255, 255, 255, 0.76)';
            v.border_bot.style.bottom = '0';

            v.border_top = document.createElement('div');
            v.border_top.style.position = 'absolute';
            v.border_top.style.width = '580px';
            v.border_top.style.height = '10px';
            v.border_top.style.backgroundColor = 'rgba( 255, 255, 255, 0.76)';
            v.border_top.style.top = '0';

            v.border_right = document.createElement('div');
            v.border_right.style.position = 'absolute';
            v.border_right.style.width = '10px';
            v.border_right.style.height = '312px';
            v.border_right.style.backgroundColor = 'rgba( 255, 255, 255, 0.76)';
            v.border_right.style.top = '10px';
            v.border_right.style.right = '0';

            v.border_left = document.createElement('div');
            v.border_left.style.position = 'absolute';
            v.border_left.style.width = '10px';
            v.border_left.style.height = '312px';
            v.border_left.style.backgroundColor = 'rgba( 255, 255, 255, 0.76)';
            v.border_left.style.top = '10px';
            v.border_left.style.left = '0';
            v.adv = document.createElement('p');
            v.adv.style.position = 'absolute';
            v.adv.style.left = '24px';
            v.adv.style.bottom = '22px';
            v.adv.style.color = 'White';
            v.adv.style.margin = '0px';
            v.adv.style.fontFamily = 'Helvetica';
            v.adv.style.fontSize = '11px';
            v.adv.innerHTML = 'Реклама';

            v.gouge = document.createElement('canvas');
            v.gouge.id = 'canvas';
            v.gouge.style.display = 'block';
            v.gouge.style.background = "rgba(0, 0, 0, 0.59)";
            v.gouge.style.borderRadius = '13px';
            v.gouge.style.backgroundRepeat = 'no-repeat';
            v.gouge.width = 30;
            v.gouge.height = 30;
            v.gouge.style.position = 'absolute';
            v.gouge.style.left = '72px';
            v.gouge.style.bottom = '14px';

            //v.center = document.createElement("div");
            //v.center.innerHTML = "<p style=' margin:0;font-family:Helvetica;font-size:11px; line-height:21px'>На сайт рекламодателя</p>";
            //v.center.style.cssText = 'z-index:2; position:absolute;background: rgba( 0, 0, 0, 0.41); color: rgb(225, 221 ,221); font-size:12px; font-family:Helvetica; cursor:pointer; text-align:center;  height:22;width: 146px; bottom:18px;display:block;border:0.1em solid rgb(190, 186 ,185);border-radius: 3px;';

            //v.all_div.appendChild(v.center);

            v.all_div.appendChild(v.btn_close);
            v.all_div.appendChild(v.center_play);
            v.all_div.appendChild(v.btn_sound);
            v.all_div.appendChild(v.videoTag);
            v.all_div.appendChild(v.border_bot);
            v.all_div.appendChild(v.border_top);
            v.all_div.appendChild(v.border_right);
            v.all_div.appendChild(v.border_left);
            v.all_div.appendChild(v.border_plashka);
            v.all_div.appendChild(v.gouge);
            v.all_div.appendChild(v.adv);
            ph.appendChild(v.all_div);
            v.initAdsFor(source);
        }

        function StringtoXML(text) {
            if (window.ActiveXObject) {
                var doc = new ActiveXObject('Microsoft.XMLDOM');
                doc.async = 'false';
                doc.loadXML(text);
            } else {
                var parser = new DOMParser();
                var doc = parser.parseFromString(text, 'text/xml');
            }
            return doc;
        }

        v.handleResponse = function (data) {
            v.constructAdList(StringtoXML(data));
        }

        v.initAdsFor = function (url) {
            if (url.indexOf('http://') == 0) {
                var sTag = document.createElement('SCRIPT');
                sTag.type = "text/javascript";
                sTag.src = url + "&crossquery=1&callback=" + cbFunc + ".handleResponse";
                document.body.appendChild(sTag);
            }
            else {
            }
        }


        function track_event(_name, _time, _url, _iscalled) {
            this.name = _name;
            this.time = _time;
            this.url = _url;
            this.iscalled = _iscalled;
        }
        function VideoAdSlot(_source, _duration, _click, _track_events) {
            this.track_events = _track_events;
            this.duration = _duration;
            this.source = _source;
            this.click = _click;
        }
        function isIE() {
            return /*@cc_on!@*/false;
        }
        function trim(s) {
            return s.replace(/(^\s+|\s+$)/g, '')
        }
        v.constructAdList = function (responseObj) {
            var tracks = responseObj.getElementsByTagName("Tracking");
            var track_events = [];
            if (isIE()) {
                var duration = parseInt(trim(responseObj.getElementsByTagName("Duration")[0].text));
                var impression = trim(responseObj.getElementsByTagName("Impression")[0].text);
                track_events.push(new track_event('Impression', 0, impression, false));
                for (i = 0; i < tracks.length; i++) {
                    if (tracks[i].getAttribute('event') == 'creativeView') track_events.push(new track_event('creativeView', 0, trim(tracks[i].text), false));
                    if (tracks[i].getAttribute('event') == 'start') track_events.push(new track_event('start', 0, trim(tracks[i].text), false));
                    if (tracks[i].getAttribute('event') == 'firstQuartile') track_events.push(new track_event('firstQuartile', duration / 4, trim(tracks[i].text), false));
                    if (tracks[i].getAttribute('event') == 'midpoint') track_events.push(new track_event('midpoint', duration / 2, trim(tracks[i].text), false));
                    if (tracks[i].getAttribute('event') == 'thirdQuartile') track_events.push(new track_event('thirdQuartile', duration * 3 / 4, trim(tracks[i].text), false));
                    if (tracks[i].getAttribute('event') == 'complete') track_events.push(new track_event('complete', duration - 1, trim(tracks[i].text), false));
                }
                var file_source = trim(responseObj.getElementsByTagName("MediaFile")[0].text);
                var click = trim(responseObj.getElementsByTagName("ClickThrough")[0].text);
            }
            else {
                var duration = parseInt(trim(responseObj.getElementsByTagName("Duration")[0].textContent));
                var impression = trim(responseObj.getElementsByTagName("Impression")[0].textContent);
                track_events.push(new track_event('impression', 0, impression, false));
                for (i = 0; i < tracks.length; i++) {
                    if (tracks[i].getAttribute('event') == 'creativeView') track_events.push(new track_event('creativeView', 0, trim(tracks[i].textContent), false));
                    if (tracks[i].getAttribute('event') == 'start') track_events.push(new track_event('start', 0, trim(tracks[i].textContent), false));
                    if (tracks[i].getAttribute('event') == 'firstQuartile') track_events.push(new track_event('firstQuartile', duration / 4, trim(tracks[i].textContent), false));
                    if (tracks[i].getAttribute('event') == 'midpoint') track_events.push(new track_event('midpoint', duration / 2, trim(tracks[i].textContent), false));
                    if (tracks[i].getAttribute('event') == 'thirdQuartile') track_events.push(new track_event('thirdQuartile', duration * 3 / 4, trim(tracks[i].textContent), false));
                    if (tracks[i].getAttribute('event') == 'complete') track_events.push(new track_event('complete', duration - 1, trim(tracks[i].textContent), false));
                }
                var file_source = trim(responseObj.getElementsByTagName("MediaFile")[0].textContent);
                var click = trim(responseObj.getElementsByTagName("ClickThrough")[0].textContent);
            }
            if (cr.i_zps && cr.i_zps.length > 0) {
                var zps = cr.i_zps.split(' ');
                if (zps.length > 1 && zps[1].length > 7) track_events.push(new track_event('firstQuartile_zp', duration / 4, trim(zps[1]), false));
                if (zps.length > 2 && zps[2].length > 7) track_events.push(new track_event('midpoint_zp', duration / 2, trim(zps[2]), false));
                if (zps.length > 3 && zps[3].length > 7) track_events.push(new track_event('thirdQuartile_zp', duration * 3 / 4, trim(zps[3]), false));
                if (zps.length > 4 && zps[4].length > 7) track_events.push(new track_event('complete_zp', duration - 1, trim(zps[4]), false));
            }
            v.showVideoSlot(new VideoAdSlot(file_source, duration, click, track_events));
        }
        v.addSourceToVideo = function (element, src, type) {
            var source = document.createElement('source');
            source.src = src;
            source.type = type;
            element.appendChild(source);
        }
        var needToCallClickUrl = true;
        v.trackClick = function (url) {
            if (needToCallClickUrl) {
                needToCallClickUrl = false;
                window.open(url);
            }
            else {
                if (bn.trackingUrl) window.open(bn.trackingUrl);
            }
            if (cr.i_cus && cr.i_cus.length > 0) {
                var zps = cr.i_cus.split(' ');
                for (var i = 0; i < zps.length; i++) {
                    if (zps[i].indexOf('http://') != -1)
                        p.trackAction(zps[i], slot, 'cus_' + i);
                    else
                        p.trackAction('http://' + zps[i], slot, 'cus_' + i);
                }
            }
        }
        v.showVideoSlot = function (VideoAdSlot) {
            v.slot = VideoAdSlot;
            v.itemId = cr.id;
            v.clickUrl = VideoAdSlot.click;
            v.addSourceToVideo(v.videoTag, window.admixerSm.mPath + v.itemId + '.webm', 'video/webm');
            v.addSourceToVideo(v.videoTag, window.admixerSm.mPath + v.itemId + '.mp4', 'video/mp4');
            v.videoTag.setAttribute('onclick', cbFunc + '.trackClick("' + VideoAdSlot.click + '")');
         //   v.center.setAttribute('onclick', cbFunc + '.trackClick("' + VideoAdSlot.click + '")');
            v.trackViewsInterval = setInterval(function () { v.trackViews(VideoAdSlot) }, 50);

            v.videoTag.addEventListener('ended', v.stopVideoAdmixer, false);


            p.assureCanBeVisibleHTML5(slot);
            if (w.attachEvent) {
                w.attachEvent("onscroll", function () { admixerSm.controll.assureCanBeVisibleHTML5(slot); });
                w.attachEvent("onresize", function () { admixerSm.controll.assureCanBeVisibleHTML5(slot); });
            }
            else if (w.addEventListener) {
                w.addEventListener("scroll", function () { admixerSm.controll.assureCanBeVisibleHTML5(slot); }, false);
                w.addEventListener("resize", function () { admixerSm.controll.assureCanBeVisibleHTML5(slot); }, false);
            }


        }
        var video_duration_was_sended = false;
        function sendVideoDuration() {
            if (!video_duration_was_sended) {
                var u = asm.invPath + '/view.aspx?item=' + bn.id + '&requestId=' + rid + '&zone=' + bn.zId + '&pvvt=1&type=12&val=' + parseInt(v.videoTag.currentTime) + '&admguid=' + slot.data.admguid;
                p.trackAction(u);
                video_duration_was_sended = true;
            }
        }
        if (w.attachEvent) {
            w.attachEvent("onunload", function () { sendVideoDuration(); });
        }
        else if (w.addEventListener) {
            w.addEventListener("unload", function () { sendVideoDuration(); }, false);
        }
        var video_was_changed_for_image = false;
        v.stopVideoAdmixer = function () {
            sendVideoDuration();
            if (cr.panels && cr.panels.length > 0 && cr.panels[0].mIMEType) {

                v.all_div.style.display = 'none';
                v.videoTag.pause();

                var panel = cr.panels[0];
                if (panel.width < 100) panel.width = 580;
                ph.style.width = panel.width + 'px';

                var iu = asm.invPath + '/view.aspx?item=' + bn.id + '&requestId=' + rid + '&zone=' + bn.zId + '&noconfirm=1&index=' + panel.imageIndex;
                var cu = asm.invPath + '/click.aspx?item=' + bn.id + '&requestId=' + rid + '&zone=' + bn.zId + '&admguid=' + slot.data.admguid;
                if (v.clickUrl) cu = v.clickUrl;
                if (asm.options.clickTrackingPixelUrl)
                    cu += '&ctpu=' + asm.encodeUrl(asm.options.clickTrackingPixelUrl);
                if (!asm.options.disableMirror && bn.cr.cdnState == 2)
                    iu = asm.mPath + panel.id + panel.bannerExtension + '?v=' + bn.cr.dateModifiedTicks;
                if (panel.mIMEType.indexOf('flash') > 0) {
                    asm.ensurePlugin('swf', function (f) {
                        var id = ph.id + "_obj";
                        ph.innerHTML = '';
                        var fd = f.make(document, id, panel.width, panel.height, iu, cu);
                        if (fd != null) {
                            ph.appendChild(fd);
                        }
                    });
                }
                else {
                    if (!video_was_changed_for_image) {
                        video_was_changed_for_image = true;
                        var zagl_div = document.createElement('DIV');
                        zagl_div.id = 'zagl_div_' + cbFunc;
                        zagl_img = document.createElement('img');
                        zagl_img.src = iu;
                        zagl_img.style.maxHeight = '332px';
                        zagl_img.style.maxWidth = '580px';
                        zagl_img.setAttribute('onclick', cbFunc + '.trackClick(\'' + cu + '\')');
                        zagl_div.style.position = 'relative';
                        ph.appendChild(zagl_div);
                        zagl_div.appendChild(zagl_img);
                        v.zagl_div = zagl_div;

                        var img = zagl_img;
                        var count = 0;
                        var interval = setInterval(function () {
                            var i_width = zagl_div.offsetWidth;
                            var i_height = zagl_div.offsetHeight;
                            count++;
                            if (i_width > 0 && i_height > 0) {
                                clearInterval(interval);
                                border_top = document.createElement('DIV');
                                border_top.style.position = 'absolute';
                                border_top.style.width = i_width + 'px';
                                border_top.style.height = '10px';
                                border_top.style.backgroundColor = 'rgba( 255, 255, 255, 0.76)';
                                border_top.style.top = '0px';

                                border_bot = document.createElement('div');
                                border_bot.style.position = 'absolute';
                                border_bot.style.width = i_width + 'px';
                                border_bot.style.height = '10px';
                                border_bot.style.backgroundColor = 'rgba( 255, 255, 255, 0.76)';
                                border_bot.style.bottom = '0px';

                                border_right = document.createElement('div');
                                border_right.style.position = 'absolute';
                                border_right.style.width = '10px';
                                border_right.style.height = (i_height - 20) + 'px';
                                border_right.style.maxHeight = '315px';
                                border_right.style.backgroundColor = 'rgba( 255, 255, 255, 0.76)';
                                border_right.style.top = '10px';
                                border_right.style.right = '0px';

                                border_left = document.createElement('div');
                                border_left.style.position = 'absolute';
                                border_left.style.width = '10px';
                                border_left.style.height = (i_height - 20) + 'px';
                                border_left.style.maxHeight = '315px';
                                border_left.style.backgroundColor = 'rgba( 255, 255, 255,0.76)';
                                border_left.style.top = '10px';
                                border_left.style.left = '0px';
                              
                                img_play = document.createElement('img');
                                img_play.src = asm.mirrorPath + '/scriptlib/video/vipimg/Big_PlayButtonBack.png';
                                img_play.style.position = 'absolute';
                                img_play.style.top = ((i_height / 2) - 25) + 'px';
                                img_play.style.left = ((i_width / 2) - 25) + 'px';
                                img_play.style.cursor = 'pointer';
                                img_play.style.zIndex = 4;
                                img_play.setAttribute('onclick', cbFunc + '.PlayVideo(this)');

                                plashka_image = document.createElement('img');
                                plashka_image.src = asm.mirrorPath + "/scriptlib/video/vipimg/admixer_logo_small.png";
                                plashka_image.style.verticalAlign = 'top';
                              
                                border_plashka = document.createElement('div');
                                border_plashka.style.position = 'absolute';
                                border_plashka.style.width = '60px';
                                border_plashka.style.height = '16px';
                                border_plashka.style.backgroundColor = 'rgba( 255, 255, 255, 0.76)';
                                if (i_height > 100) {
                                    border_plashka.style.top = '10px';
                                    border_plashka.style.left = '10px';
                                }
                                else {
                                    border_plashka.style.top = '0px';
                                    border_plashka.style.left = '0px';
                                }
                                border_plashka.style.cursor = 'pointer';
                                border_plashka.setAttribute('onclick', ' window.open("http://sales.admixer.net?utm_source=cpc&utm_medium=admixer&utm_campaign=contentroll", "_blank")');
                                border_plashka.appendChild(plashka_image);
                                if (i_height > 100) {
                                    zagl_div.appendChild(border_top);
                                    zagl_div.appendChild(border_bot);
                                    zagl_div.appendChild(border_right);
                                    zagl_div.appendChild(border_left);
                                }
                                zagl_div.appendChild(img_play);
                                zagl_div.appendChild(border_plashka);
                            }
                            else if (count > 500) {
                                clearInterval(interval);
                            }
                        }, 100);
                    }
                    else {
                        document.getElementById('zagl_div_' + cbFunc).style.display = 'block';
                    }
                }
            }
            else {
              //  p.player.center.style.display = 'none';
                p.player.btn_close.style.display = 'none';
                p.player.btn_sound.style.display = 'none';
                p.player.gouge.style.display = 'none';
                p.player.adv.style.display = 'none';
                p.player.btn_pause.style.display = 'block';
                p.player.center_play.style.display = 'block';
                v.videoTag.currentTime = v.slot.duration;
                v.videoTag.pause();
            }
        }
        var is_close = true;
        v.trackViews = function (VideoAdSlot) {
            p.player.doTimer(v.slot.duration - parseInt(v.videoTag.currentTime), v.slot.duration);

            if (parseInt(v.videoTag.currentTime) >= parseInt(cr.cbAs) && is_close) {
                is_close = false;
                if (parseInt(v.videoTag.currentTime) >= 4) v.btn_close.style.display = 'block';
            }
            for (i = 0; i < VideoAdSlot.track_events.length; i++) {
                if (parseInt(v.videoTag.currentTime) != 0 && parseInt(v.videoTag.currentTime) >= VideoAdSlot.track_events[i].time && !VideoAdSlot.track_events[i].iscalled) {
                    var needToCallUrl = true;
                    if (typeof onEvent == "function") {
                        try {
                            needToCallUrl = onEvent(VideoAdSlot.track_events[i].name, VideoAdSlot.track_events[i].url);
                            if (typeof needToCallUrl == 'undefined')
                                needToCallUrl = true;
                        }
                        catch (e) {
                            needToCallUrl = true;
                        }
                    }
                    if (needToCallUrl && VideoAdSlot.track_events[i].url.length > 7) {
                        p.trackAction(VideoAdSlot.track_events[i].url);
                    }
                    VideoAdSlot.track_events[i].iscalled = true;
                }
            }
        }
        v.doPlayer();
        return v;

    }

    p.isPhContRollVisible = function (element, eHeight) {
        var docViewTop = (w.pageYOffset || (d.documentElement && d.documentElement.scrollTop) || d.body.scrollTop); //$(window).scrollTop();
        var docViewBottom = docViewTop + (w.innerHeight || (d.documentElement && d.documentElement.clientHeight) || (d.body && d.body.clientHeight));
        var elemTop = 0;
        var op = element;
        while (op != null) {

            if (!isNaN(parseInt(op.offsetTop))) {
                elemTop += parseInt(op.offsetTop);
            }
            op = op.offsetParent;
        }
        var elemBottom = elemTop + eHeight;
        var isInViewPort = ((elemBottom >= docViewTop) && (elemBottom <= docViewBottom));
        return isInViewPort;
    }

    p.assureCanBeVisibleHTML5 = function (slot) {
        if (p.isPhContRollVisible(slot.ph, 200)) {
            p.ShowAdHTML5(slot);
        }
        else {
            p.player.videoTag.pause();
        }
    }

    p.ShowAdHTML5 = function (slot) {
        if (!slot.wasStarted) {
            slot.wasStarted = true;
            p.player.all_div.style.display = 'block';
            var ph = slot.ph;
            var bn = slot.data.items[0];
            var cr = bn.cr;
            if (cr.width < 100) cr.width = 580;
            if (cr.height < 20) cr.height = 332;
            //ph.style.width = cr.width + 'px';
            //ph.style.height = cr.height + 'px';
            p.player.videoTag.width = cr.width;
            p.player.videoTag.height = cr.height;
            p.player.all_div.style.width = cr.width + 'px';
            p.player.all_div.style.height = cr.height + 'px';
            p.player.btn_pause.style.top = (cr.height / 2 - 50) + 'px';
            p.player.btn_pause.style.left = (cr.width / 2 - 50) + 'px';
            p.player.btn_sound.style.top = '18px';
            p.player.btn_sound.style.right = '18px';
          //  p.player.center.style.left = ((cr.width / 2) - 73) + 'px';
            p.player.btn_sound.style.display = 'block';
           // p.player.center.style.display = 'block';

            ph.admixSlot.videStartTime = new Date().getTime();
            p.player.videoTag.play();

            var rid = slot.data.requestId;
            var u = asm.invPath + '/view.aspx?item=' + bn.id + '&requestId=' + rid + '&zone=' + bn.zId + '&pvvt=1' + '&admguid=' + slot.data.admguid;
            p.trackAction(u, slot);

            if (cr.i_zps && cr.i_zps.length > 0) {
                var zps = cr.i_zps.split(' ');
                if (zps.length > 0 && zps[0].length > 7) p.trackAction(zps[0], slot, 'start_zp');
            }

        }
        else if (p.player.videoTag && p.player.all_div.style.display != 'none' && p.player.videoTag.currentTime != p.player.slot.duration) {
            p.player.videoTag.play();
        }
    }

    p.init();
})();